#!/bin/sh

export SHELL=/bin/sh
export CONFIG_SHELL=$SHELL

#config_prefix=/usr/local
config_prefix=/extras

CC="gcc"
CXX="g++"
CPPFLAGS="-Zmt"
CXXFLAGS="-Wall -O3 -mtune=pentium4 -march=pentium"
CFLAGS="$CXXFLAGS -fomit-frame-pointer"
#LIBS="-liconv"
LDFLAGS="-s -Zomf -Zbin-files -Zstack 1024"

export CC
export CXX
export CPPFLAGS
export CFLAGS
export CXXFLAGS
export LIBS
export LDFLAGS

export gl_cv_next_stdint_h=no
export gl_cv_next_inttypes_h=no
export gl_cv_next_unistd_h=no
#export am_cv_func_iconv_works=yes
export gl_cv_have_include_next=no

export SED="sed"
export ac_cv_path_SED="$SED"
export lt_cv_path_SED="$SED"
export LN="cp -p"
export lt_cv_path_NM="nm -B"
export lt_cv_sys_max_cmd_len="8192"

rm -f lib/idn-int.h

./configure \
  --prefix=$config_prefix \
  --without-libiconv \
  --disable-dependency-tracking \
  --disable-gtk-doc \
  --disable-nls \
  --enable-static \
  --disable-shared

# workaround for absolute-path
cp -pf config.status config.status.bak
sed -e "s/\".*unistd.h\"/<unistd.h>/g" -e "s/\".*iconv.h\"/<iconv.h>/g" -e "s/\".*stdint.h\"/<stdint.h>/g" < config.status.bak > config.status
./config.status

# workaround for docbuild
cp -pf Makefile Makefile.bak
sed -e "s/src doc tests/src tests/g" < Makefile.bak > Makefile

# workaround for include "stdint.h"
echo "#include <stdint.h>" > lib/idn-int.h
